# URI:Fragment:Unparsed

### Import List

        ADT:StringBuffer
        Exception
        Exception
        Object
        Object
        TextRider
        URI

Class List
Fragment |

Class Summary: Fragment [Detail]

      +---URI.Fragment
           |
           +--URI:Fragment:Unparsed.Fragment

Field Summary
unparsed-: STRING Holds the fragment identifier of a URI without any modifications.
Constructor Summary
Init(Fragment, STRING) Initializes unparsed fragment identifier.
New(STRING): Fragment Creates new unparsed fragment identifier.
Method Summary
Append(StringBuffer) Appends the textual representation of the fragment identifier frag to the string sb.
Clone(): Fragment Creates a deep copy of the fragment component referenced by frag.
Copy(Fragment) Copies contents of source frag to target dest.
ParseFragment(CharsLatin1, Offset) Parses the fragment component str of an URI.
WriteXML(Writer) Writes an XML fragment describing the fragment identifier to the writer w.
Inherited Methods
From URI.Fragment: Append, Clone, Copy, ParseFragment, WriteXML

Class Detail: Fragment

Field Detail

### unparsed

    FIELD unparsed-: STRING

> Holds the fragment identifier of a URI without any modifications. In particular, escaped characters are not replaced with their character value. Interpretation of special characters and escaped characters is up to the user agent.

Constructor Detail

### Init

    PROCEDURE Init(frag: Fragment;
                   unparsed: STRING)

> Initializes unparsed fragment identifier.

> Pre-condition: unparsed is not NIL.

### New

    PROCEDURE New(unparsed: STRING): Fragment

> Creates new unparsed fragment identifier.

> Pre-condition: unparsed is not NIL.

Method Detail

### Append

    PROCEDURE (frag: Fragment) Append(sb: StringBuffer)

> Appends the textual representation of the fragment identifier frag to the string sb.

> [Description inherited from Append]

> Redefines: Append

### Clone

    PROCEDURE (frag: Fragment) Clone(): Fragment

> Creates a deep copy of the fragment component referenced by frag.

> [Description inherited from Clone]

> Redefines: Clone

### Copy

    PROCEDURE (frag: Fragment) Copy(dest: Fragment)

> Copies contents of source frag to target dest.

> Pre-condition: The dynamic type of dest is an extension of the dynamic type of frag.

> [Description inherited from Copy]

> Redefines: Copy

### ParseFragment

    PROCEDURE (frag: Fragment) ParseFragment(str: CharsLatin1;
                            offset: Offset)
      RAISES ParseError;

> Parses the fragment component str of an URI. On success, the data is stored in the fragment object frag and the result is NIL. In case of error, a message object is returned and frag is not modified. A character position in an error message refers to an index in str, incremented by the value of offset.

> [Description inherited from ParseFragment]

> Redefines: ParseFragment

### WriteXML

    PROCEDURE (frag: Fragment) WriteXML(w: Writer)

> Writes an XML fragment describing the fragment identifier to the writer w.

> [Description inherited from WriteXML]

> Redefines: WriteXML